Displays: Can't modify UI scale slide with keyboard

Bug #1296966 reported by Steve Magoun
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
unity-control-center (Ubuntu)
Medium
Unassigned

Bug Description

It should be possible to modify the UI Scale slider using the keyboard.

To reproduce:
1) Launch the Displays control panel
2) Click the thumb/handle in the UI scale slider once, to select it. Notice that the handle gets an orange border, to indicate that it's selected
3) Press the left/right arrow keys to modify the UI scale

Expected results:
The UI scale slider responds to the arrow keys

Actual results:
Nothing happens when you use the keyboard to manipulate the UI scale slider

This is an accessibility issue. It's also a problem if you set the UI scale so big that the UI scale widget is no longer drawn onscreen - you can't use keyboard navigation to reset it.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: unity-control-center 14.04.3+14.04.20140319-0ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-19.39-generic 3.13.6
Uname: Linux 3.13.0-19-generic x86_64
ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
CurrentDesktop: Unity
Date: Mon Mar 24 17:40:33 2014
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-precise-amd64-20130203-1
EcryptfsInUse: Yes
InstallationDate: Installed on 2013-12-02 (111 days ago)
InstallationMedia: Ubuntu 12.04 "Precise" - Build amd64 LIVE Binary 20130203-13:50
SourcePackage: unity-control-center
UpgradeStatus: Upgraded to trusty on 2014-02-12 (40 days ago)
usr_lib_unity-control-center:
 activity-log-manager 0.9.7-0ubuntu10
 deja-dup 29.5-0ubuntu2
 gnome-control-center 1:3.6.3-0ubuntu54

Related branches

Revision history for this message
Steve Magoun (smagoun) wrote :
tags: added: ubuntu-desktop-trusty
Changed in unity-control-center (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-control-center - 14.04.3+14.04.20140328-0ubuntu1

---------------
unity-control-center (14.04.3+14.04.20140328-0ubuntu1) trusty; urgency=low

  [ Robert Ancell ]
  * Allow the UI scale to be controlled by the keyboard (LP: #1296966)

  [ Marco Trevisan (Treviño) ]
  * Display: Use 2-columns style (Monitor/General options), add more UI
    scaling options (LP: #1297053)
 -- Ubuntu daily release <email address hidden> Fri, 28 Mar 2014 12:58:07 +0000

Changed in unity-control-center (Ubuntu):
status: Triaged → Fix Released
Steve Magoun (smagoun)
Changed in unity-control-center (Ubuntu):
status: Fix Released → Confirmed
Revision history for this message
Steve Magoun (smagoun) wrote :

This is only partially fixed in u-c-c 14.04.3+14.04.20140328-0ubuntu1. The keyboard can now move the slider, but the UI scale does not change when you do this. The UI scale does change when you use the mouse to move the slider.

To reproduce, follow the instructions in the original description
Expected results:
UI slider moves and the UI scales up/down with the slider

Actual results:
UI slider moves and the UI does not scale up/down with the slider

Mathew Hodson (mhodson)
tags: removed: ubuntu-desktop-trusty
Revision history for this message
Anton Keks (anton-azib) wrote :

Maybe it would be better to apply the change together with display resolution instead of applying on the fly. I personally have trouble moving the slider correctly to the right position each time after I change resolution.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers